Skip to main content
GET
/
reports
TypeScript
const response: Promise<FireblocksResponse<ReportListResponse>> = fireblocks.reportsBeta.listReports(reportsBetaApiListReportsRequest);
{
  "data": [],
  "next": "eJ0eXAiOiJKV1QiLCJhbGcOiJIUzI1NiJ9",
  "prev": "eJ0eXAiOiJKV1QiLCJhbGcOiJIUzI1NiJ9"
}

Query Parameters

pageCursor
string

Opaque cursor returned from a previous list call

pageSize
integer
default:20

Maximum number of items per page

Required range: 1 <= x <= 100
sortBy
enum<string>
default:createdAt

Field to sort by

Available options:
createdAt,
completedAt
order
enum<string>
default:DESC

Sort direction

Available options:
ASC,
DESC
status
enum<string>[]

Filter by lifecycle status. Repeat the parameter to filter on multiple statuses (e.g., ?status=QUEUED&status=PROCESSING).

The current lifecycle state of a report job

Available options:
QUEUED,
PROCESSING,
COMPLETED,
FAILED
reportType
enum<string>[]

Filter by report type. Repeat the parameter to filter on multiple types.

The type of report to generate

Available options:
ADDRESSES

Response

Paginated list of report jobs

Paginated list of report jobs. Download URLs are not included in list items — call GET /v1/reports/{reportId} to retrieve the download URL for a specific completed report.

data
object[]
required

Page of report jobs

Example:
[]
next
string | null
required

Opaque cursor for the next page. Null on the last page.

Example:

"eJ0eXAiOiJKV1QiLCJhbGcOiJIUzI1NiJ9"

prev
string | null
required

Opaque cursor for the previous page. Null on the first page.

Example:

"eJ0eXAiOiJKV1QiLCJhbGcOiJIUzI1NiJ9"